<template>
  <div class="box_left">
    <div class="box_stream list-article">
      <article
        v-for="article in articles.data"
        :key="article.id"
        class="art_item"
      >
        <div class="ava">
          <nuxt-link :to="article.nuxt_url" class="thumb_img thumb_5x2">
            <img src="../../assets/css/images/graphics/thumb2.jpg" />
          </nuxt-link>
        </div>
        <div class="content">
          <div class="flex tag">
            <nuxt-link :to="article.category.nuxt_url" class="folder">
              {{ article.category.name }}
            </nuxt-link>
            <span>
              By
              <a href="#" class="color-main">{{ article.created_by.name }}</a>
              | {{ article.created_at }}
            </span>
          </div>
          <h3 class="title_news">
            <nuxt-link :to="article.nuxt_url">
              {{ article.title }}
            </nuxt-link>
          </h3>
        </div>
      </article>
    </div>
    <!-- <div class="section loadding-new">
      <div class="sk-child sk-bounce1"></div>
      <div class="sk-child sk-bounce2"></div>
      <div class="sk-child sk-bounce3"></div>
      <span>Tải thêm tin</span>
    </div> -->
  </div>
</template>

<script>
export default {
  name: 'Articles',
  props: {
    articles: {
      type: Array,
      default: null,
    },
  },
}
</script>
